import axios from 'axios';

axios.defaults.withCredentials = true;
// commonSelectMemberHost isNewSelectMember: flag: 1==> 使用新接口 contact，0==> 使用旧接口 cooperation
export function getDeptMemberList(host, qzId, params = {},flag) {
    if(!Number(flag)){
        return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/members`, { params })
    }
    return axios.get(`${host}/contacts/api/v1/user/members`, { params })
}

export function getGroupMemberList(host, qzId, groupId, params = {}) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/group/${groupId}/members`, { params })
}

export function getTeamMemberList(host, qzId, teamId, params = {}) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/team/${teamId}/members`, { params })
}

export function getRoleMemberList(host, tenantId, qzId, roleId, params = {}) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${tenantId}/role/${qzId}/${roleId}/users`, { params });
}

export function getMemberList(host, qzId, params = {},flag) {
    if(!Number(flag)){
        return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/members`, { params });
    }
    return axios.get(`${host}/contacts/api/v1/user/members`, { params });
}

export function getDeptList(host, qzId, params,flag) {
    if(!Number(flag)){
        return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/depts`, { params });
    }
    return axios.get(`${host}/contacts/api/v1/dept/depts`, { params });
}

export function getSubDepts(host, qzId,deptId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/${deptId}/sub_depts`, { params });
}

export function getMyDeptList(host, qzId, params,flag) {
    if(!Number(flag)){
        return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/dept`, { params });
    }
    return axios.get(`${host}/contacts/api/v1/dept/my`, { params });
}

export function getGroupList(host, qzId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/groups`, { params });
}

export function getTeamList(host, qzId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/team/list`, { params });
}

export function getRoleList(host, tenantId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${tenantId}/roles`, { params });
}

export function getRecentContact(host, qzId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/daily_users`, { params })
}

// 拉取类型列表
export function getType(host, qzId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/out/user/type`, { params })
}
// 拉取类型列表
export function getClass(host, qzId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/out/user/class`, { params })
}
// 拉取人员列表
export function getUsers(host, qzId,classId, params) {
    return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/out/user/${classId}/users`, { params })
}

export function getGroupMember(host, qzId,groupId, params,flag) {
    if(!Number(flag)){
        return axios.get(`${host}/contacts/rest/v1/candidate/${qzId}/group/${groupId}/members`, { params })
    }
    return axios.get(`${host}/contacts/api/v1/user/members`, { params })
}
export class DateNode {
    constructor(data, extData) {
        this.data = data;
        this.loading = false;
        this.expand = false;
        this.checked = false;

    }
}