const path = require('path')

module.exports = {
    components: './src/components/**/*.vue',
    ignore: ['node_modules/**/*.*'],
    webpackConfig: require('./webpack/webpack.dev.js'),
    require: [
        'src/assets/styles/index.less'
    ],
    copyCodeButton: true,
    displayOrigins:true,
    pagePerSection: true,
    sections: [
        // {
        //     name: 'Introductions',
        //     content: 'README.md'
        // },
        {
            name: 'Documentation',
            sections: [
                {
                    name: 'Avatar',
                    content: 'src/components/base/avatar/avatar.md'
                },
                {
                    name: 'Button',
                    sections: [
                        {
                            name: 'Button',
                            content: 'src/components/base/button/button.md'
                        },
                        {
                            name: 'ButtonGroup',
                            content: 'src/components/base/button/button-group.md'
                        },
                    ]
                },
                {
                    name: 'Collapse',
                    content: 'src/components/base/collapse/collapse.md'
                }
            ]
        }
    ]
}